complexType "EventStatusResponse"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 3 attributes, 9 elements
Defined: | globally in fpml-msg-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "4"
| >
Content: | header?, validation*, parentCorrelationId?, correlationId[0..2], sequenceNumber??, onBehalfOf[0..4]?, statusItem*, (party*, account*)?
</...>

Content Model Elements (9):

  account, correlationId, header (defined in ResponseMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), parentCorrelationId, | party (defined in PartiesAndAccounts.model group), sequenceNumber (defined in Sequence.model group), statusItem, validation

All Direct / Indirect Based Elements (1):

  eventStatusResponse

Known Usage Locations

- As direct type of elements (1):
  eventStatusResponse

Annotation
A type defining the content model for a message normally generated in response to a requestEventStatus request.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) ResponseMessage (extension) EventStatusResponse

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="EventStatusResponse"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="statusItem" type="EventStatusItem"/> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/9)
statusItem

  Type: | EventStatusItem, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="statusItem" type="EventStatusItem"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.